Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class AntFetch.Reference

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Reference
            |
            +--net.sf.antcontrib.logic.AntFetch.Reference

Enclosing class:
  AntFetch

public static class AntFetch.Reference
extends org.apache.tools.ant.types.Reference

Helper class that implements the nested <reference> element of <ant> and <antcall>.

Author:
  danson

Constructor Summary
`AntFetch.Reference()` Creates a reference to be configured by Ant

Method Summary
`java.lang.String` | `getToRefid()` Get the id under which this reference will be stored in the new project
`void` | `setToRefid(java.lang.String targetid)` Set the id that this reference to be stored under in the new project.

Methods inherited from class org.apache.tools.ant.types.Reference
`getReferencedObject, getRefId, setRefId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntFetch.Reference

    public AntFetch.Reference()

  Creates a reference to be configured by Ant

Method Detail

### setToRefid

    public void setToRefid(java.lang.String targetid)

  Set the id that this reference to be stored under in the new project.

  Parameters:
    `targetid` - the id under which this reference will be passed to the new project

### getToRefid

    public java.lang.String getToRefid()

  Get the id under which this reference will be stored in the new project

  Returns:
    the id of the reference in the new project.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD